/*
 * Filename: install.cmd
 *   Author: JanErik
 *  Created: Tue Sep 28 2021
 *  Purpose: Create Desktop Objects for PMInSANE
 *  Changes: 
 */

/* Load RexxUtil Library */
If RxFuncQuery('SysLoadFuncs') Then
Do
   Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   Call SysLoadFuncs
End

/* Don't enable unless there's a stable and usable version available such as 1.0.27 */
/*'@yum -y install sane-backends sane-backends-libs sane-backends-drivers-scanners'*/
'@yum -y install gbm z'

Obj.1.ID =    '<WP_TOOLS>'

Obj.2.ID =    '<TOOL_PMINSANE>'
Obj.2.Title = 'PMInSANE'
Obj.2.Setup = 'EXENAME='||DIRECTORY()||'\PMINSANE.EXE;'
Obj.2.Type =  'WPProgram'
Obj.2.ref =   1

Obj.0 = 2

DO i = 2 TO Obj.0
   tgt = Obj.i.ref
   tempRC = SysCreateObject( Obj.i.Type,,
   Obj.i.Title,,
   Obj.tgt.ID,,
   'OBJECTID='||Obj.i.ID||';'||Obj.i.Setup,,
   'Update' )
END